import type { HeaderCellProps } from '../HeaderCell';
import React from 'react';
declare type SharedHeaderCellProps<R, SR> = Pick<HeaderCellProps<R, SR>, 'column' | 'sortInfo' | 'enableSortRow' | 'onSort' | 'cellFilters' | 'onCellFiltersChange'>;
interface Props<R, SR> extends SharedHeaderCellProps<R, SR> {
    children: React.ReactNode;
    checkedFilters?: Set<any>;
}
declare function SortableHeaderCell<R, SR>({ column, onSort, sortInfo: { columnKey: sortColumn, direction: sortDirection, }, enableSortRow, cellFilters, checkedFilters, onCellFiltersChange, children }: Props<R, SR>): React.JSX.Element;
declare const _default: typeof SortableHeaderCell;
export default _default;
//# sourceMappingURL=SortableHeaderCell.d.ts.map