/// <reference types="react" />
import { DataGridProps, Filters } from "../types";
export declare const FILTER_NULL_KEY = "(null)";
export declare const FILTER_EMPTY_KEY = "(empty)";
interface UseFilterArgs<R> {
    enableFilterRow: DataGridProps<R>['enableFilterRow'];
    rawColumns: DataGridProps<R>["columns"];
    rawRows: DataGridProps<R>["rows"];
}
export declare function useFilters<R>(options: UseFilterArgs<R>): {
    rowFilters: Filters;
    setRowFilters: import("react").Dispatch<import("react").SetStateAction<Filters>>;
    rowFilterOptions: Record<string, Set<any>> | null;
};
export {};
//# sourceMappingURL=useFilters.d.ts.map