/// <reference types="react" />
import clsx from 'clsx';
import type { CalculatedColumn } from '../types';
export * from './domUtils';
export * from './keyboardUtils';
export * from './selectedCellUtils';
export declare function assertIsValidKeyGetter<R>(keyGetter: unknown): asserts keyGetter is (row: R) => React.Key;
export declare function getCellStyle<R, SR>(column: CalculatedColumn<R, SR>): React.CSSProperties;
export declare function getCellClassname<R, SR>(column: CalculatedColumn<R, SR>, ...extraClasses: Parameters<typeof clsx>): string;
/**
 * 生成一个唯一key
 * @param suffixStr key后缀
 */
export declare const generateUniqKey: (suffixStr?: string) => string;
export declare const createNewRow: (key: string) => {
    [x: string]: string | boolean;
    _created: boolean;
};
//# sourceMappingURL=index.d.ts.map